## com.lowagie.text.rtf.list
Class RtfListItem

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfPhrase
              com.lowagie.text.rtf.text.RtfParagraph
                  com.lowagie.text.rtf.list.RtfListItem

All Implemented Interfaces:
  RtfBasicElement

    public class RtfListItem

extends RtfParagraph

The RtfListItem acts as a wrapper for a ListItem.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private boolean` `containsInnerList` Whether this RtfListItem contains further RtfLists.
`private RtfList` `parentList` The RtfList this RtfListItem belongs to.

Fields inherited from class com.lowagie.text.rtf.text.RtfParagraph
`PARAGRAPH`

Fields inherited from class com.lowagie.text.rtf.text.RtfPhrase
`chunks, IN_TABLE, LINE_SPACING, PARAGRAPH_DEFAULTS`

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfListItem(RtfDocument doc, ListItem listItem)` Constructs a RtfListItem for a ListItem belonging to a RtfDocument.

Method Summary
`protected void` `correctIndentation()` Correct the indentation of RtfLists in this RtfListItem by adding left/first line indentation from the parent RtfList.
`void` `inheritListSettings(int listNumber, int listLevel)` Inherit the list settings from the parent list to RtfLists that are contained in this RtfListItem.
`boolean` `isContainsInnerList()` Gets whether this RtfListItem contains further RtfLists.
`void` `setParent(RtfList parentList)` Set the parent RtfList.
`byte[]` `write()` Writes the content of this RtfListItem.
`byte[]` `writeDefinition()` Returns the definition of the first list contained in this RtfListItem or an empty byte array if no inner RtfLists exist.

Methods inherited from class com.lowagie.text.rtf.text.RtfParagraph
`getIndentLeft, getIndentRight, setIndentLeft, setIndentRight, setKeepTogetherWithNext`

Methods inherited from class com.lowagie.text.rtf.text.RtfPhrase
`setInHeader, setInTable, setRtfDocument`

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentList

    private RtfList parentList

  The RtfList this RtfListItem belongs to.

### containsInnerList

    private boolean containsInnerList

  Whether this RtfListItem contains further RtfLists.

Constructor Detail

### RtfListItem

    public RtfListItem(RtfDocument doc,
                       ListItem listItem)

  Constructs a RtfListItem for a ListItem belonging to a RtfDocument.

  Parameters:
    `doc` - The RtfDocument this RtfListItem belongs to.
    `listItem` - The ListItem this RtfListItem is based on.

Method Detail

### write

    public byte[] write()

  Writes the content of this RtfListItem.

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfParagraph`
  Returns:
    A byte array with the content of this RtfListItem.

### writeDefinition

    public byte[] writeDefinition()

  Returns the definition of the first list contained in this RtfListItem or an empty byte array if no inner RtfLists exist.

  Returns:
    The definition of the first inner RtfList or an empty byte array.

### inheritListSettings

    public void inheritListSettings(int listNumber,
                                    int listLevel)

  Inherit the list settings from the parent list to RtfLists that are contained in this RtfListItem.

  Parameters:
    `listNumber` - The list number to inherit.
    `listLevel` - The list level to inherit.

### correctIndentation

    protected void correctIndentation()

  Correct the indentation of RtfLists in this RtfListItem by adding left/first line indentation from the parent RtfList. Also calls correctIndentation on all child RtfLists.

### setParent

    public void setParent(RtfList parentList)

  Set the parent RtfList.

  Parameters:
    `parentList` - The parent RtfList to use.

### isContainsInnerList

    public boolean isContainsInnerList()

  Gets whether this RtfListItem contains further RtfLists.

  Returns:
    Whether this RtfListItem contains further RtfLists.